# TODO: don't build debug version of libraries when not packaging them
#
# Conditional build:
%bcond_without	allegro		# Allegro libraries
%bcond_without	debug_libs	# debug libraries packaging (they are built anyway)
#
Summary:	DUMB - Dynamic Universal Music Bibliotheque
Summary(pl.UTF-8):	DUMB - uniwersalna biblioteka do odtwarzania muzyki
Name:		dumb
Version:	0.9.3
Release:	6
License:	GPL-like
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/dumb/%{name}-%{version}.tar.gz
# Source0-md5:	f48da5b990aa8aa822d3b6a951baf5c2
Patch0:		%{name}-shared.patch
URL:		http://dumb.sourceforge.net/
%{?with_allegro:BuildRequires:	allegro-devel}
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32		-fomit-frame-pointer

%description
DUMB (Dynamic Universal Music Bibliotheque, formerly Dedicated
Universal Music Bastardisation) - IT, XM, S3M and MOD player library.

%description -l pl.UTF-8
DUMB (Dynamic Universal Music Bibliotheque, dawniej Dedicated
Universal Music Bastardisation) - biblioteka do odtwarzania muzyki w
formatach IT, XM, S3M i MOD.

%package devel
Summary:	Header files for DUMB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki DUMB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for DUMB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki DUMB.

%package static
Summary:	Static DUMB libraries
Summary(pl.UTF-8):	Statyczne biblioteki DUMB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static DUMB libraries.

%description static -l pl.UTF-8
Statyczne biblioteki DUMB.

%package allegro
Summary:	DUMB Allegro library
Summary(pl.UTF-8):	Biblioteka DUMB dla Allegro
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description allegro
DUMB Allegro library.

%description allegro -l pl.UTF-8
Biblioteka DUMB dla Allegro.

%package allegro-devel
Summary:	Header files for DUMB Allegro library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki DUMB dla Allegro
Group:		Development/Libraries
Requires:	%{name}-allegro = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	allegro-devel

%description allegro-devel
Header files for DUMB Allegro library.

%description allegro-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki DUMB dla Allegro.

%package allegro-static
Summary:	Static DUMB Allegro libraries
Summary(pl.UTF-8):	Statyczne biblioteki DUMB dla Allegro
Group:		Development/Libraries
Requires:	%{name}-allegro-devel = %{version}-%{release}

%description allegro-static
Static DUMB Allegro libraries.

%description allegro-static -l pl.UTF-8
Statyczne biblioteki DUMB dla Allegro.

%prep
%setup -q
%patch0 -p1

%build
cat <<EOF > make/config.txt
include make/unix.inc
ALL_TARGETS := core core-examples core-headers
%if %{with allegro}
ALL_TARGETS += allegro allegro-examples allegro-headers
%endif
PREFIX := /usr
EOF

%{__make} -j1 all \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OFLAGS="%{rpmcflags}" \
	DBGFLAGS="-DDEBUGMODE=1 %{rpmcflags}" \
	LIB_INSTALL_PATH=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{_bindir}}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LIB_INSTALL_PATH=$RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	allegro -p /sbin/ldconfig
%postun	allegro -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.txt docs/*.txt
%attr(755,root,root) %{_bindir}/dumb2wav
%attr(755,root,root) %{_bindir}/dumbout
%attr(755,root,root) %{_libdir}/libdumb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdumb.so.0
%if %{with debug_libs}
%attr(755,root,root) %{_libdir}/libdumbd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdumbd.so.0
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdumb.so
%{_libdir}/libdumb.la
%if %{with debug_libs}
%attr(755,root,root) %{_libdir}/libdumbd.so
%{_libdir}/libdumbd.la
%endif
%{_includedir}/dumb.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libdumb.a
%if %{with debug_libs}
%{_libdir}/libdumbd.a
%endif

%files allegro
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dumbplay
%attr(755,root,root) %{_libdir}/libaldmb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaldmb.so.0
%if %{with debug_libs}
%attr(755,root,root) %{_libdir}/libaldmd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaldmd.so.0
%endif

%files allegro-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaldmb.so
%{_libdir}/libaldmb.la
%if %{with debug_libs}
%attr(755,root,root) %{_libdir}/libaldmd.so
%{_libdir}/libaldmd.la
%endif
%{_includedir}/aldumb.h

%files allegro-static
%defattr(644,root,root,755)
%{_libdir}/libaldmb.a
%if %{with debug_libs}
%{_libdir}/libaldmd.a
%endif
%changelog
* Thu May 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dumb.git;a=log;h=master

* Thu May 05 2016 Jan Rękorajski <baggins@pld-linux.org> 0da57d5
- release 6 (by relup.sh)

* Mon Apr 01 2013 Jakub Bogusz <qboosh@pld-linux.org> ec1a699
- try make -j1

* Mon Apr 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 5ad428f
- added shared patch, build shared libraries
- separated allegro libraries to -allegro* subpackages
- updated descriptions (official name changed with 0.9.2 release)
- release 5

* Sat Mar 27 2010 Paweł Sikora <pluto@pld-linux.org> 193ad5a
- correct changelog.

* Sat Mar 27 2010 Paweł Sikora <pluto@pld-linux.org> 74f7e76
- release 4 (rebuild with allegro44)

* Fri Nov 13 2009 Elan Ruusamäe <glen@pld-linux.org> 1aa6253
- build -fPIC for x86_64
- pass our cflags in debug library too; rel 3

* Mon Jan 07 2008 Elan Ruusamäe <glen@pld-linux.org> 6a026f8
- add todo

* Sun Jul 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 8f06101
- fixed install with lib64
- verbose files
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c792564
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2bc4c36
- converted to UTF-8

* Sat Sep 10 2005 Tomasz Pala <gotar@pld-linux.org> f4c70c0
- there's no dynamic libs, so devel requires static, rel. 1 STBR

* Mon Aug 22 2005 darekr <darekr@pld-linux.org> 7fb5911
- updated to 0.9.3
- added -devel, -static packages
- cosmetics

* Sun Jun 20 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 68834ba
- fix specflags (quotation here is buggy)

* Tue Jun 08 2004 radek <radek@pld-linux.org> a0a4a98
- s/%optflags/%rpmcflags/

* Sat Jun 28 2003 Tomasz Pala <gotar@pld-linux.org> fee7abb
- -fomit-frame-pointer on ia32

* Thu Jun 26 2003 Tomasz Pala <gotar@pld-linux.org> 24fe805
- upgraded to 0.9.2

* Mon May 26 2003 Michal Moskal <michal@moskal.me> cd178b0
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 99d118d
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Mar 23 2003 Tomasz Pala <gotar@pld-linux.org> 2f7ebe0
- initial PLD release

